DecoderConfigValues.EngineID

com.hsm.barcode

## Class DecoderConfigValues.EngineID

- java.lang.Object
- - com.hsm.barcode.DecoderConfigValues.EngineID

- Enclosing class:
    DecoderConfigValues

      public static final class DecoderConfigValues.EngineID
      extends java.lang.Object

  Engine ID class that defines the engine ID.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IMAGER_4200_ENGINE` Deprecated. 4200 Engine ID
    `static int` | `IMAGER_IT4000_ENGINE` Deprecated. IT4000 Engine ID
    `static int` | `IMAGER_IT4100_ENGINE` Deprecated. IT4100 Engine ID
    `static int` | `IMAGER_IT4300_ENGINE` Deprecated. IT4300 Engine ID
    `static int` | `IMAGER_IT5100_ENGINE` IT5100 Engine ID
    `static int` | `IMAGER_IT5300_ENGINE` IT5300 Engine ID
    `static int` | `IMAGER_N5600_ENGINE` N5600 Engine ID
    `static int` | `IMAGER_N5603_ENGINE` N5603 Engine ID
    `static int` | `LASER_SE1200_ENGINE` Deprecated. SE1200 Laser Engine ID
    `static int` | `LASER_SE1223_ENGINE` Deprecated. SE1223 Laser Engine ID
    `static int` | `NONE` No Engine ID
    `static int` | `UNKNOWN` Unknown Engine ID

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      Unknown Engine ID
      See Also:
        Constant Field Values

    - #### NONE

          public static final int NONE

      No Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_4200_ENGINE

          public static final int IMAGER_4200_ENGINE

      Deprecated. 4200 Engine ID
      See Also:
        Constant Field Values

    - #### LASER_SE1200_ENGINE

          public static final int LASER_SE1200_ENGINE

      Deprecated. SE1200 Laser Engine ID
      See Also:
        Constant Field Values

    - #### LASER_SE1223_ENGINE

          public static final int LASER_SE1223_ENGINE

      Deprecated. SE1223 Laser Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_IT4000_ENGINE

          public static final int IMAGER_IT4000_ENGINE

      Deprecated. IT4000 Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_IT4100_ENGINE

          public static final int IMAGER_IT4100_ENGINE

      Deprecated. IT4100 Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_IT4300_ENGINE

          public static final int IMAGER_IT4300_ENGINE

      Deprecated. IT4300 Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_IT5100_ENGINE

          public static final int IMAGER_IT5100_ENGINE

      IT5100 Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_IT5300_ENGINE

          public static final int IMAGER_IT5300_ENGINE

      IT5300 Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_N5603_ENGINE

          public static final int IMAGER_N5603_ENGINE

      N5603 Engine ID
      See Also:
        Constant Field Values

    - #### IMAGER_N5600_ENGINE

          public static final int IMAGER_N5600_ENGINE

      N5600 Engine ID
      See Also:
        Constant Field Values